package com.ssj.service.weixin.library.dto.in;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 类说明 
 */
public class BookApplyInDto extends BaseRequest{

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="libId",value="图书馆id",required=true)
	private String libId;
	@ApiModelProperty(name="vipId",value="会员编号",required=true)
	private String vipId;
	@ApiModelProperty(name="detailList",value="书籍信息集合",required=true)
	private List<BookDetailDto> detailList = new ArrayList<>();

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public List<BookDetailDto> getDetailList() {
		return detailList;
	}

	public void setDetailList(List<BookDetailDto> detailList) {
		this.detailList = detailList;
	}
}
